# Bulk Update Budget Flights

Update multiple budget flights

Endpoint: POST /bulk_update/budget_flights
Version: 3.0.1807
Security: Auth0

## Request fields (application/json):

  - `budget_flights` (object)

  - `budget_flights.create` (array)

  - `budget_flights.create.start_date` (string, required)

  - `budget_flights.create.end_date` (string, required)
    The latest end date of flight must be no more than 36 months after the earliest start date

  - `budget_flights.create.total_budget` (number, required)

  - `budget_flights.create.total_impression_budget` (integer,null)
    Example: 12345

  - `budget_flights.create.campaign_id` (integer, required)
    Example: 12

  - `budget_flights.update` (array)

  - `budget_flights.update.id` (integer, required)
    Example: 55

  - `budget_flights.update.start_date` (string)

  - `budget_flights.update.end_date` (string)
    The latest end date of flight must be no more than 36 months after the earliest start date

  - `budget_flights.update.total_budget` (number)

  - `budget_flights.update.total_impression_budget` (integer,null)
    Example: 12345

  - `budget_flights.delete` (array)

  - `budget_flights.delete.id` (integer)
    Example: 5

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer)
    Example: 77

  - `data.start_date` (string)

  - `data.end_date` (string)
    The latest end date of flight must be no more than 36 months after the earliest start date

  - `data.total_budget` (number)

  - `data.total_impression_budget` (integer,null)
    Example: 12345

  - `data.is_relevant` (boolean)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: "success"

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 207 fields (application/json):

  - `data` (array)

  - `data.id` (integer)
    Example: 77

  - `data.start_date` (string)

  - `data.end_date` (string)
    The latest end date of flight must be no more than 36 months after the earliest start date

  - `data.total_budget` (number)

  - `data.total_impression_budget` (integer,null)
    Example: 12345

  - `data.is_relevant` (boolean)

  - `meta` (object)

  - `meta.status` (string, required)
    The status of the response, indicating success or failure.
    Example: "success"

  - `meta.count` (integer, required)
    The number of items returned in the current response.
    Example: 10

  - `meta.total_count` (integer)
    The total number of items available in the dataset.
    Example: 100

  - `meta.offset` (integer)
    The offset from the start of the dataset, used for pagination.

  - `meta.next_page` (string)
    The URL to fetch the next page of results.

  - `meta.prev_page` (string)
    The URL to fetch the previous page of results.

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)


